export declare enum IpcEvents {
    ADD_DEV_MODE_WINDOW = "ADD_DEV_MODE_WINDOW",
    ADD_RUN_MODE_WINDOW = "ADD_RUN_MODE_WINDOW",
    HIDE_BUILD_LOADING = "HIDE_BUILD_LOADING"
}
export declare type IBrowserWindow = Electron.BrowserWindow & WindowData;
export interface WindowData {
    data: {
        project: string;
        showLandingPage: boolean;
        isDevMode: boolean;
        appPath: string;
        home: string;
    };
}
export interface AutoUpdateInterface {
    releaseChannel: 'stable' | 'insiders';
    disableAutoUpdates: boolean;
}
export declare function getHashKeyForProject(key: string, projectFilePath: string): string;
export declare enum HASHED_KEYS {
    BG_COLOR = "BG_COLOR"
}
export interface Tracking {
    trackEvent: (category: string, action: string, label?: string, value?: string) => void;
    reportLifecycleEvent: (action: string) => void;
    reportException: (description: string) => void;
}
export declare const telemetry: Tracking;
export declare const autoUpdatesFilePath: any;
export declare const mainProcessDataFilePath: any;
export interface AppMainProcessData {
    Quark: {
        HashKey: {
            [projectHashKey: string]: {
                [key in HASHED_KEYS]: any;
            };
        };
    };
    launchAppOnLogin: boolean;
    leaveAppRunningOnWindowClose: boolean;
    telemetry: {
        userId: string;
        enableTelemetry: boolean;
    };
}
export declare namespace electron {
    const module: typeof Electron;
    const mainProcess: NodeJS.Process;
    const fs: typeof import('fs-extra');
    const path: typeof import('path');
    const browserWindow: IBrowserWindow;
}
